%define name libplist
%define version 1.8
%define release %mkrel 1
%define major 1
%define libname %mklibname plist %major
%define libnamedev %mklibname -d plist
%define libnamecxx %mklibname plist++ %major
%define libnamecxxdev %mklibname -d plist++

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Library for manipulating Apple Binary and XML Property Lists

Group:          System/Libraries
License:        LGPLv2+
URL:		http://www.libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2

BuildRequires: libxml2-devel
BuildRequires: glib2-devel
BuildRequires: cmake
BuildRequires: python-cython

%description
libplist is a library for manipulating Apple Binary and XML Property Lists

%package -n %libname
Group: System/Libraries
Summary: Library for manipulating Apple Binary and XML Property Lists
Requires: %name >= %version

%description -n %libname
libplist is a library for manipulating Apple Binary and XML Property Lists

%package -n %libnamedev
Summary: Development package for libplist
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libnamedev
%{name}, development headers and libraries.

%package -n %libnamecxx
Summary: C++ binding for libplist
Group: Development/C++
Requires: %name >= %version

%description -n %libnamecxx
C++ bindings for %name

%package -n %libnamecxxdev
Summary: Development package for libplist++
Group: Development/C++
Requires: %libnamecxx = %version
%define libnamedev %mklibname -d plist
Provides: %name++-devel = %version-%release
Conflicts: %{mklibname plist++ 0} < 1.0

%description -n %libnamecxxdev
%name, C++ development headers and libraries.


%package -n python-plist
Summary: Python package for libplist
Group: Development/Python
%py_requires -d
Requires: python
BuildRequires: python-devel
BuildRequires: swig

%description -n python-plist
%{name}, python libraries and support

%prep
%setup -q

%build
%cmake
make

%install
%makeinstall_std -C build

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LESSER README
%{_bindir}/plutil
%{_bindir}/plutil-%{version}

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libplist.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root,-)
%dir %{_includedir}/plist
%{_includedir}/plist/*.h
%{_includedir}/plist/cython
%{_libdir}/pkgconfig/libplist.pc
%{_libdir}/libplist.so

%files -n %libnamecxx
%defattr(-,root,root,-)
%{_libdir}/libplist++.so.%{major}*

%files -n %libnamecxxdev
%defattr(-,root,root,-)
%{_includedir}/plist/swig
%{_libdir}/pkgconfig/libplist++.pc
%{_libdir}/libplist++.so

%files -n python-plist
%defattr(-,root,root,-)
%{python_sitearch}/*


%changelog

* Sun Mar 04 2012 fwang <fwang> 1.8-1.mga2
+ Revision: 217813
- fix build
- br cython
- new version 1.8
- update url

* Thu Sep 08 2011 tv <tv> 1.4-1.mga2
+ Revision: 141180
- new release

* Tue Jan 18 2011 pterjan <pterjan> 1.3-4.mga1
+ Revision: 21795
- Rebuild for python 2.7

* Sat Jan 15 2011 blino <blino> 1.3-3.mga1
+ Revision: 18979
- remove old ldconfig scriptlets
- imported package libplist

